Servers - Bug #1

[bugs/labs] Migrate bug tracker
2012-02-15 02:35 PM - fauno

Status: fixed % Done: 0%
Priority: critical

Assignee: bill-auger

Category:

Description
Move data from roundup here

History

#2 - 2012-02-15 02:48 PM - fauno

test assignation
#3 - 2012-02-15 06:00 PM - mtjm
Unassigning to not discourage other contributors from helping.

I recommend adapting a script like https:/github.com/ralli/migrate_from_bugzilla. | don't know any exporters from Roundup or how its databases are
organized.

Having an SQL dump of the Roundup database could help with this.

#4 - 2012-03-06 06:20 PM - mtjm

First we should enable email integration of Roundup and include there comments sent via email and stored on repo, | will do needed repo mail
configuration changes.

Then let's write a generic tool for migrating Roundup to ChiliProject, doing the following things:
e make a new issue in a specified single tracker of a single project for each original issue
e keep original issue identifiers somewhere in them
¢ map Roundup users to an existing ChiliProject user using specified mapping
* make a new user if not specified in the mapping, reset their password.

We don't have machine-readable metadata which would allow correctly choosing projects and trackers, so the first point is obvious.

We want to specify who wrote the comments, | don't see a better and simpler way to do this than described above. Migration of passwords could be
possible, but might require implementing support for another password hashing scheme, | think this is not necessary.

All issues and comments would be migrated, not only the open ones.

The script should be useful for other projects doing similar migrations. | recommend licensing it under GPLv2 or later, since ChiliProject uses this
license.

#5 - 2012-03-29 05:53 PM - mtjm
Changed priority.

#6 - 2012-07-22 06:20 AM - shackra

I'll take care of this...
wish me all the luck of the world! -

#7 - 2012-08-28 01:55 PM - fauno

So, what happened? We could also close all the opened bugs back there :P

#8 - 2012-12-05 10:49 AM - shackra

Well, | think that is better to have a exported version of the old database in CSV and a exported version of the actual database in CVS too. In such
case, would be easy to know how to accommodate the data from one exported database to another and then import such data to ChilliProject
database (in CVS).

That's better than dealing with SQL instructions directly...
https://github.com/ralli/migrate_from_bugzilla

#9 - 2012-12-07 08:42 AM - fauno

i gave shackra a pg_dumpall so he can work on this
#10 - 2013-05-07 10:10 AM - shackra

So far, | have achive the indentification of some key rows from Roundup and Chilliproject. However, | not able to find comments on bugs from
Roundup database, since then, | don't know what to do... Any suggestions on what to do?

#12 - 2014-06-29 02:53 AM - lukeshu
Where is the Roundup database? There are a bunch of notes in blacklist.txt and comments in PKGBUILDs that refference Roundup bug IDs, and |

have no idea what to make of them in many cases.

#13 - 2014-06-29 02:02 PM - fauno

they should be in the backup on the new server, it was a postgresql db iirc

#14 - 2014-06-29 10:15 PM - lukeshu

Yup. Do you know if the 75 file uploads were backed up anywhere?

#15 - 2019-07-20 08:22 PM - Anonymous

Still in progress?

#16 - 2019-07-21 05:54 PM - bill-auger

- Assignee changed from shackra to bill-auger

i sure hope not - this was seven years ago

#17 - 2019-07-21 05:54 PM - bill-auger

- Status changed from in progress to fixed
